#!/bin/bash

set -euo pipefail

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"

function install_headers() {
    sudo apt install -y nlohmann-json3-dev wget curl cmake ninja-build mold

    # put libassert headers on the host.
    if [ ! -f /usr/local/lib/libassert.a ]; then
        git clone https://github.com/jeremy-rifkin/libassert.git
        git checkout v2.1.5
        mkdir libassert/build
        cd "libassert/build" || exit 1
        cmake .. -DCMAKE_BUILD_TYPE=Release
        make -j
        sudo make install
        cd ../..
        rm -rf libassert
    fi
}


